import org.springframework.beans.factory.BeanFactory;
import org.springframework.beans.factory.xml.XmlBeanFactory;
import org.springframework.core.io.ClassPathResource;

public class Main {

  public static void main(String[] args) throws Exception {
    BeanFactory beanFactory = new XmlBeanFactory(new ClassPathResource("context.xml"));
    PropertyEditorTestBean testBean = (PropertyEditorTestBean) beanFactory.getBean("testBean");

    System.out.println(testBean.getMyNumber());
  }
}

class PropertyEditorTestBean {
  private int myNumber;

  public int getMyNumber() {
    return myNumber;
  }

  public void setMyNumber(int myNumber) {
    this.myNumber = myNumber;
  }
}